# $Revision: 1.11 $, $Date: 2010/08/10 13:18:49 $
Summary:	Tool for sending build requests
Name:		make-request
Version:	1.77
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://cvs.pld-linux.org/cgi-bin/cvsweb/pld-builder.new/client/%{name}.sh?rev=%{version}#/%{name}.sh
# Source0-md5:	b9bedb16673bd3ca9882dd932fb294ec
#Source0:	%{name}-%{version}.sh
URL:		http://cvs.pld-linux.org/cgi-bin/cvsweb/pld-builder.new/client/make-request.sh
Requires:	/usr/sbin/sendmail
Requires:	gnupg
Obsoletes:	pld-builder-client
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A tool which, based on the way it's configured and on the cmdline
parameters given to it, generates an xml-formated build request, which
it then signs with the requester's PGP key (using the gpg utility) and
then sends it to the source builder via a sendmail compatible command
line application (by default invoking "sendmail -t").

Two modes of operation are:
- sending requests to build chosen package(s) on a specified group of
  builders
- sending a chosen command to be executed on a specified group of
  builders

%prep

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: make-request.spec,v $
Revision 1.11  2010/08/10 13:18:49  paszczus
- trying to fix Source0 URL

Revision 1.10  2010/08/09 13:36:19  paszczus
- updated to 1.77
- switched to proper Source0 URL

Revision 1.9  2009/08/16 13:08:14  cactus
- up to 1.61

Revision 1.8  2009/03/07 00:47:00  arvenil
- up to 1.56

Revision 1.7  2009/02/22 12:35:25  arvenil
- up to 1.55

Revision 1.6  2008/11/11 20:57:09  tommat
- ver 1.50

Revision 1.5  2008/07/26 19:41:00  arvenil
- typo
- cleanup
- release 2

Revision 1.4  2008/07/17 13:46:06  glen
- obsoletes pld-builder-client

Revision 1.3  2008/05/10 08:45:03  arvenil
- temporary URL to bypass builder limitation
- release 1

Revision 1.2  2008-03-30 14:41:22  glen
- R: gnupg

Revision 1.1  2008-03-30 14:29:30  arvenil
- initial
